# Get an account

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/accounts/{account_id}`

Retrieve a single account by its ID or `crm_key`.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `account_id` | path | string | yes | The account's ID (`acc_...`), or its `crm_key`. If more than one account has that `crm_key`, the most recently updated one is used. |
| `expand` | query | string | no | Fields to expand into full objects. Available fields: - created_session - last_transaction - updated_session |

## Responses

### 200: Account details

```json
{
  "account": {
    "address": {
      "country": "string",
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "line4": "string",
      "line5": "string",
      "line6": "string"
    },
    "bolton_values": {},
    "channels": [
      "string"
    ],
    "code": "string",
    "company": "string",
    "created": "2026-01-01T12:00:00Z",
    "created_session": "string",
    "crm": "string",
    "crm_key": "string",
    "disconnected_account": true,
    "divisions": [
      "string"
    ],
    "email": "string",
    "first_name": "string",
    "full_address": "string",
    "giftaid_ineligible": true,
    "id": "string",
    "initiatives": [
      "string"
    ],
    "last_name": "string",
    "last_transacted": "2026-01-01T12:00:00Z",
    "last_transaction": "string",
    "locale": "string",
    "metadata": {},
    "name": "string",
    "phone": "string",
    "status": "ACTIVE",
    "tags": "string",
    "timezone": "string",
    "updated": "2026-01-01T12:00:00Z",
    "updated_session": "string",
    "v": 0
  }
}
```

### 400: Bad request

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Authentication required

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Resource not found

```json
{
  "code": "string",
  "message": "string"
}
```

### 500: Internal server error

```json
{
  "error": {
    "type": "string",
    "message": "string"
  }
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/accounts/ACCOUNT_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getaccount/